<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GnjUnloadListBean" />
    </data>

    <com.mcxtzhang.swipemenulib.SwipeMenuLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:id="@+id/ll_content"
                shape_bg_color="@{@color/white}"
                shape_radius="@{6}"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="10dp"
                android:layout_marginVertical="5dp"
                android:background="@color/white"
                android:orientation="horizontal"
                android:gravity="center_vertical"
                android:paddingHorizontal="10dp"
                android:paddingVertical="5dp">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.9"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="30dp"
                        android:gravity="center_vertical">

                        <!-- <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1">

                            <TextView
                                completeSpace="@{3}"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="平板车"
                                android:textColor="@color/text_normal"
                                android:textStyle="bold" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="10dp"
                                android:text="@{bean.carId}"
                                android:textColor="@color/text_normal"
                                android:textStyle="bold" />

                        </LinearLayout>-->

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.4">

                            <TextView
                                completeSpace="@{4}"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="航班日期"
                                android:textColor="@color/text_normal"
                                android:textStyle="bold" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="10dp"
                                android:text="@{bean.fdate}"
                                android:textColor="@color/text_normal"
                                android:textStyle="bold" />

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1">

                            <TextView
                                completeSpace="@{3}"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="航班号"
                                android:textColor="@color/text_normal"
                                android:textStyle="bold" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="10dp"
                                android:text="@{bean.fno}"
                                android:textColor="@color/text_normal"
                                android:textStyle="bold" />

                        </LinearLayout>
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="30dp"
                        android:gravity="center_vertical">


                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.4">

                            <TextView
                                completeSpace="@{4}"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="航\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0程" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="10dp"
                                android:text="@{bean.voyage}" />

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1">

                            <TextView
                                completeSpace="@{4}"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="平板数量" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="10dp"
                                android:text="@{bean.carNum}" />

                        </LinearLayout>
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical">

                        <!--<LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1">

                            <TextView
                                completeSpace="@{3}"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="确认人" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="10dp"
                                android:text="@{bean.opId}" />

                        </LinearLayout>-->

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.5">

                            <TextView
                                completeSpace="@{4}"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="货物类型" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="10dp"
                                android:text="@{bean.cargoTypeName}"
                                android:textColor="@color/red"/>

                        </LinearLayout>
                    </LinearLayout>

                </LinearLayout>

                <ImageView
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:src="@drawable/img_pda_right" />
                <!--<LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:gravity="center_vertical">


                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.5">

                        <TextView
                            completeSpace="@{4}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="确认时间" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:text="@{bean.opDate}" />

                    </LinearLayout>

                </LinearLayout>-->



            </LinearLayout>

        </FrameLayout>

        <FrameLayout
            android:layout_width="wrap_content"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginVertical="5dp"
                android:paddingHorizontal="6dp"
                android:gravity="center" >

                <TextView
                    android:id="@+id/tv_modify"
                    style="@style/tv_item_action"
                    android:background="#8313ef"
                    android:text="修改"
                    android:textColor="@color/white" />

                <TextView
                    android:id="@+id/tv_delete"
                    style="@style/tv_item_action"
                    android:background="@color/red"
                    android:text="删除"
                    android:textColor="@color/white" />
            </LinearLayout>
        </FrameLayout>

    </com.mcxtzhang.swipemenulib.SwipeMenuLayout>

</layout>